Closure-compiler missing ECMASCRIPT6 option in Ubuntu

Asked by Iñigo on 2018-05-12

I've installed closure-compiler in my Ubuntu machine.

I need to set --language_in to ECMASCRIPT6, but it says it doesn't exist:

Unknown language `ECMASCRIPT6' specified.

Running: closure-compiler --language_in ECMASCRIPT6 myjsfile.js

Getting things like: ERROR - Parse error. missing ; before statement let comments =
(Complainning about let)

Is there a way of getting an updated version of closure-compiler that includes `ECMASCRIPT6' language?

Thanks

Question information

Language:
English Edit question
Status:
Open
For:
Ubuntu closure-compiler Edit question
Assignee:
No assignee Edit question
Last query:
2018-05-12
Last reply:

Can you help with this problem?

Provide an answer of your own, or ask Iñigo for more information if necessary.

To post a message you must log in.